<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@include file="templates/validar.jsp"%>
<!DOCTYPE html>
<html lang="en">
  <head>
    <!--Estilos plantilla-->
    <%@include file="templates/header.jsp" %>
    <!--Estilos plantilla-->

    <!--Estilos propios-->
    <!--<link href="../js/lib/jquery-confirm-master/jquery-confirm.min.css" rel="stylesheet" type="text/css"/>-->
    <!--Estilos propios-->

    <style>
      .validation-error-label, .validation-valid-label{
        display: inline-block;
      }
    </style>
    <link href="../css/pages/colors.css" rel="stylesheet" type="text/css"/>
    <link href="../css/pages/general.css" rel="stylesheet" type="text/css"/>
  </head>

  <body onload="cargar();">

    <input id="codTitulo" type="hidden" value="<%= menu != null ? menu.getCodigoTitulo() : 0%>">
    <input id="codModulo" type="hidden" value="<%= menu != null ? menu.getCodigoModulo() : 0%>">
    <input id="codCategoria" type="hidden" value="<%= menu != null ? menu.getCodigoCategoria() : 0%>">
    <input id="codSubCategoria" type="hidden" value="<%= menu != null ? menu.getCodigoSubcategoria() : 0%>">

    <!--navbar - sidebar-->
    <%@include file="templates/header-body.jsp" %>
    <!--navbar - sidebar-->

    <%@include file="templates/page-header.jsp" %>


    <!--contenido-->

    <!-- ------------------------------------------------------------------------------------------------------ -->
    <!-- ------------------------------- Panel de busqueda de fichas pendientes ------------------------------- -->
    <!-- ------------------------------------------------------------------------------------------------------ -->

    <div class="row">
      <form action="#" method="post" id="formFiltroLotes" name="formFiltroLotes">
        <div class="col-md-4 col-md-offset-4">
          <div class="panel so-card-2">
            <div class="panel-heading bg-primary">
              <h6 class="panel-title text-semibold">
                <i class="fa fa-search fa-lg"></i>&nbsp;&nbsp;Búsqueda de lotes
              </h6>
              <div class="heading-elements">
              </div>
            </div>
            <div class="panel-body">

              <div class="row">
                <div class="col-md-12">
                  <div class="form-group">
                    <label for="txtNumeroLote" class="text-semibold">Número de lote <span class="text-danger">(*)</span></label>
                    <input type="text" class="form-control text-uppercase" placeholder="Ingresar número de lote" id="txtNumeroLote" name="txtNumeroLote" maxlength="15" autocomplete="off">
                  </div>
                </div>
              </div>
              <div class="row">
                <div class="col-md-12 text-danger text-right text-semibold">
                  (*) Campos obligatorios
                </div>
              </div>

            </div>
            <div class="panel-footer panel-footer-transparent">
              <div class="row">
                <div class="col-md-12 text-center">
                  <button type="submit" class="btn bg-primary btn-sm"><i class="fa fa-search fa-lg position-left"></i> Buscar</button>
                  <button type="button" class="btn bg-orange btn-ladda btn-ladda-progress" data-style="expand-right" data-spinner-size="20" id="btnLimpiarFiltroLotes">
                    <span class="ladda-label"><i class="fa fa-refresh fa-lg"></i> Limpiar</span>
                    <span class="ladda-spinner"></span>
                    <div class="ladda-progress" style="width: 158px;"></div>
                  </button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </form>
    </div>
    <div class="row">
      <div class="col-md-8 col-md-offset-2">
        <div class="panel so-card-2">
          <div class="panel-heading bg-primary">
            <h6 class="panel-title text-semibold">
              <i class="fa fa-file fa-lg"></i>&nbsp;&nbsp;Listado de lotes
            </h6>
            <div class="heading-elements">
              <!--              <button type="button" class="btn btn-success btn-sm" id="btnGenerarLote">
                              <i class="fa fa-linux fa-lg position-left"></i> Generar lote
                            </button>-->
            </div>
          </div>
          <table class="table table-bordered table-xxs" id="tblLotes">
            <thead>
              <tr>
                <th class="text-center">#</th>
                <th class="text-center">NUMERO DE LOTE</th>
                <th class="text-center">FECHA REGISTRO</th>
                <th class="text-center">TIPO LOTE</th>
                <th class="text-center">CANT. FICHAS</th>
                <th class="text-center">ESTADO DE LOTE</th>
                <th class="text-center">ACCIONES</th>
              </tr>
            </thead>
          </table>
        </div>
      </div>
    </div>

    <!--contenido-->


    <!--javascript plantilla-->
    <%@include file="templates/footer-body.jsp" %>

    <!--datatable-->
    <script type="text/javascript" src="../plantilla/assets/js/plugins/tables/datatables/datatables.min.js"></script>
    <script type="text/javascript" src="../plantilla/assets/js/plugins/tables/datatables/extensions/responsive.min.js"></script>
    <!--datatable-->

    <!--checkbox-->
    <script type="text/javascript" src="../plantilla/assets/js/plugins/forms/styling/switch.min.js"></script>
    <!--checkbox-->

    <!--boostrap select-->
    <script type="text/javascript" src="../plantilla/assets/js/plugins/forms/selects/bootstrap_select.min.js"></script>
    <!--boostrap select-->

    <!--validate-->
    <script type="text/javascript" src="../plantilla/assets/js/plugins/forms/validation/validate.min.js"></script>
    <script type="text/javascript" src="../plantilla/assets/js/plugins/forms/validation/additional_methods.min.js"></script>
    <script type="text/javascript" src="../plantilla/assets/js/plugins/forms/validation/localization/messages_es_PE.js"></script>
    <script type="text/javascript" src="../js/pages/newRulesValidate.js"></script>
    <!--validate-->

    <!--jqueryconfirm-->
    <script src="../js/lib/jquery-confirm-master/jquery-confirm.min.js" type="text/javascript"></script>
    <!--jqueryconfirm-->

    <script type="text/javascript" src="../plantilla/assets/js/plugins/buttons/spin.min.js"></script>
    <script type="text/javascript" src="../plantilla/assets/js/plugins/buttons/ladda.min.js"></script>

    <!--datepicker-->
    <script type="text/javascript" src="../plantilla/assets/js/core/libraries/jquery_ui/widgets.min.js"></script>
    <!--datepicker-->
    <script src="../js/lib/simple-input-validate.js" type="text/javascript"></script>
    <!--javascript general-->
    <script src="../js/pages/general.js" type="text/javascript"></script>
    <!--javascript general-->

    <!--javascript propios-->
    <script src="../js/pages/menu.js" type="text/javascript"></script>
    <!--javascript propios-->

    <script src="../js/lib/axios.min.js" type="text/javascript"></script>

    <script src="../js/pages/lotesFicha.js" type="text/javascript"></script>

  </body>
</html>
<%    }
%>
