package trismegistoplanilla.services;

import org.json.JSONObject;
import trismegistoplanilla.dao.ConfiguracionFichaDAO;
import trismegistoplanilla.dao.DAOFactory;

public class ConfiguracionFichaService {

  DAOFactory factory = DAOFactory.getDAOFactory(DAOFactory.SQL_SERVER);
  ConfiguracionFichaDAO objConfiguracionFichaDAO = factory.getConfiguracionFichaDAO();

  public JSONObject getDefaultMail() {
    JSONObject JOmail = null;
    try {
      JOmail = objConfiguracionFichaDAO.getDefaultMail();
    } catch (Exception e) {
      e.printStackTrace();
    }
    return JOmail;
  }

}
