package trismegistoplanilla.services;

import org.json.JSONObject;
import trismegistoplanilla.beans.PersonaBean;
import trismegistoplanilla.dao.DAOFactory;
import trismegistoplanilla.dao.ExpedienteDAO;

public class ExpedienteService {

  DAOFactory daoFactory = DAOFactory.getDAOFactory(DAOFactory.SQL_SERVER);
  ExpedienteDAO dao = daoFactory.getExpedienteDAO();

  public JSONObject listarTipoExpedientes() {
    JSONObject jsonReturn = null;
    try {
      jsonReturn = dao.listarTipoExpedientes();
    } catch (Exception e) {
      e.printStackTrace();
    }
    return jsonReturn;
  }

  public JSONObject obtenerExpedientesPorPersona(PersonaBean persona) {
    JSONObject jsonReturn = null;
    try {
      jsonReturn = dao.obtenerExpedientesPorPersona(persona);
    } catch (Exception e) {
      e.printStackTrace();
    }
    return jsonReturn;
  }

}
