package trismegistoplanilla.servlets;

import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.json.JSONObject;
import trismegistoplanilla.servicesMysql.ReportePersonalService;

public class ReportePersonalServlet extends HttpServlet {

  private static final long serialVersionUID = -3557338970681475447L;

  @Override
  protected void service(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
    String accion = request.getParameter("accion");
    if (accion.equals("validarExistenciaFilas")) {
      validarExistenciaFilas(request, response);
    }
  }

  private void validarExistenciaFilas(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
    response.setContentType("application/json");
    PrintWriter out = response.getWriter();
    String json = request.getParameter("jsonResult");
    JSONObject jsonResult = new JSONObject(json);
    ReportePersonalService service = new ReportePersonalService();
    JSONObject JOReporte = service.validarExistenciaFilas(jsonResult);
    out.print(JOReporte);
  }

}
